## PowerShell in Practice
## by Richard Siddaway
## Listing C.1
## Log process start and
## stop events to a file
#################################
#Requires -version 2.0
$str = '"{0}","{1}","{2}","{3}","{4}"' 
$hdr = $str -f "Computer", "Id", "Name", "Time", "Source"
## create log file
if (Test-Path process.log) {Remove-Item process.log}
Add-Content -Value $hdr -Path process.log
## query
$q1 = "Select * from Win32_ProcessStartTrace"
$q2 = "Select * from Win32_ProcessStopTrace"
## action script block
$a = {
    $eSEANE = $Event.SourceEventArgs.NewEvent
    $str = '"{0}","{1}","{2}","{3}","{4}"' 
    $data = $str -f $Event.Sender.Scope.Path.Server, $eSEANE.ProcessId, $eSEANE.ProcessName, $Event.TimeGenerated, $Event.SourceIdentifier
    Add-Content -Value $data -Path process.log
}
Register-WmiEvent -Query $q1 -SourceIdentifier "Process Start" -Action $a
Register-WmiEvent -Query $q2 -SourceIdentifier "Process Stop " -Action $a