﻿## PowerShell in Practice
## by Richard Siddaway
## Listing D.1
## User account control listing
#################################
function get-uac{
param([int]$uac)

$flags = @(1,2,8,16,32,64,128,256,512,2048,4096,8192,65536,131072,262144,524288,532480,1048576,2097152,4194304,8388608,167772160)
$uacflags = @{1="Script (logon script will run)";
2="Account Disabled";
8="Home Directory Required";
16="Account Locked Out";
32="Password Not Required";
64="Password Cannot Change";
128="Encrypted Text Password Allowed";
256="Temporary Duplicate Account";
512="Normal Account";
2048="Interdomain Trust Account";
4096="Workstation Trust Account";
8192="Server Trust Account";
65536="Do not Expire Password";
131072="MNS Logon account";
262144="Smartcard Required";
524288="Trusted for delegation";
532480="Domain Controller";
1048576="Not delegated";
2097152="Use DES Key only";
4194304="Does not require Kerberos PreAuthentiaction for logon";
8388608="Password Expired";
167772160="Trusted to Authenticate for Delegation"}

foreach($flag in $flags){

	if($uac -band $flag){Write-Host $uacflags[$flag]}

}
}