﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 2.5
## Using an if statement to 
## test file size
#################################
Get-ChildItem "C:\Temp" | Where-Object{!$_.PsIsContainer} | 
ForEach-Object {
	if ($_.Length -gt 1MB) {
		Remove-Item $_.Fullname -WhatIf
	}
	elseif ($_.Length -gt 0.5MB){
		Write-Host $_.Name, $_.Length, " will be removed if more space required" -ForegroundColor Yellow
	}
	else{
		if ($_.Length -gt 0.25MB){
			Write-Host $_.Name, $_.Length, " will be removed in third wave" -ForegroundColor Blue
		}
	}
}