﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 4.7
## Production-ready script to 
## retrieve top four CPU using processes
########################################
## get-topcpu.ps1
## Richard Siddaway
## 10 August 2008
##
## Uses get-process and returns the top 4 cpu using 
##  processes with the time in minutes
Get-Process | Sort-Object CPU -Descending | Select -First 4 | 
Format-Table Name, @{Label="CPU(Min)"; Expression={"{0:F3}" -f ($_.TotalProcessorTime.TotalMinutes)}} -AutoSize
