﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.10a
## Creating users in bulk with 
## Quest cmdlets
#################################
Import-Csv pres.csv | ForEach-Object {
$name = $_.last.ToUpper() + " " + $_.first
$upn = $_.userid + "@manticore.org"
New-QADUser -Name $name -FirstName $_.first -LastName $_.last.ToUpper() -DisplayName $name -SamAccountName $_.userid -UserPassword "Password1" -UserPrincipalName $upn  -ParentContainer "ou=USA,dc=manticore,dc=org" 
Set-QADUser -Identity $upn -ObjectAttributes @{useraccountcontrol=512; pwdLastSet=0}
}