﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.11
## Modifying user attributes
#################################
$user = [ADSI]"LDAP://CN=CHURCHILL Winston,OU=England,DC=Manticore,DC=org"

## general tab
$user.Initials = "S"
$user.Description = "British PM"
$user.physicalDeliveryOfficeName = "10 Downing Street"    #Office
$user.TelephoneNumber = "01207101010"
$user.mail = "wsc@manticore.org"                          # E-Mail
$user.wwwHomePage = "http://www.number10.com"
$user.SetInfo()

## address tab
$user.streetAddress = "10 Downing Street"
$user.postOfficeBox = "P.O. 10"                      # PO Box
$user.l = "London"                                   # City
$user.St = "England"                                 # state/province
$user.postalCode = "L10 9WS"
$user.c = "GB"                                       # country
$user.SetInfo()

$comp = "comp1,comp2"           ## array of computer names
[byte[]]$hours = @(0,0,0,0,255,3,0,255,3,0,255,3,0,255,3,0,255,3,0,0,0)  # allowed logon hours

## account tab
$user.userWorkstations = $comp   #Log on To...
$user.logonhours.value = $hours
$user.SetInfo()

## profile tab
$user.profilepath = "\\server1\usrprofiles\wsc"
$user.scriptPath = "mylogon.vbs"        #Logon Script
$user.homeDrive = "S:"                 # Local path
$user.homeDirectory = "\\server2\home\wsc"   # Connect
$user.SetInfo()

# telephones
$user.homePhone = "01207101010"
$user.Pager = "01207101011"
$user.Mobile = "01207101012"
$user.facsimileTelephoneNumber = "01207101014"
$user.ipPhone = "01207101015"
$user.Info = "This is made up data"
$user.SetInfo()

# organization
$user.Title = "Prime Minister"
$user.Department = "Government"
$user.Company = "Britain"
$user.Manager = "CN=WELLESLEY Arthur,OU=England,DC=Manticore,DC=org"
$user.SetInfo()