﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.14
## Locked user accounts
#################################
Add-Type -AssemblyName System.DirectoryServices.AccountManagement
## create the context i.e. connect to the domain
$ctype = [System.DirectoryServices.AccountManagement.ContextType]::Domain
$context = New-Object -TypeName System.DirectoryServices.AccountManagement.PrincipalContext -ArgumentList $ctype, "manticore.org", "DC=Manticore,DC=org"

$date = (Get-Date).AddDays(-1)

$mtype = [System.DirectoryServices.AccountManagement.MatchType]::GreaterThan
$results = [System.DirectoryServices.AccountManagement.UserPrincipal]::FindByLockoutTime($context, $date, $mtype)

if($results -ne $null){foreach ($result in $results){$result.distinguishedname	}}
else{Write-Host "No users locked out"}
