﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.17
## Last logon times
#################################
$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
foreach ($dc in $dom.domaincontrollers) {
$ldapstr = "LDAP://" + $dc.Name + "/cn=richard,cn=users,dc=manticore,dc=org"
$user = [ADSI]$ldapstr

"`nDomain Controller:   $($dc.Name)"
"Name:                 {0}" -f  $($user.name)
"Last Logon:           {0:F}" -f  $(([datetime]$user.ConvertLargeIntegerToInt64($user.lastlogon.value)).AddYears(1600))
"Last Logon Timestamp: {0:F}" -f  $(([datetime]$user.ConvertLargeIntegerToInt64($user.lastlogontimestamp.value)).AddYears(1600))
}