﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.21
## Account expiry check
#################################
$now = (Get-Date).ToFileTime()
$end = ((Get-Date).Adddays(60)).ToFileTime()

$dom = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$root = $dom.GetDirectoryEntry()


$search = [System.DirectoryServices.DirectorySearcher]$root

$filt = "(&(objectclass=user)""(accountexpires<=$end)""(accountexpires>=$now))"
$search.Filter = $filt
$results = $search.FindAll()

foreach ($result in $results){
	$result.properties.distinguishedname
}