﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.23
## Changing Active Directory
## group membership
#################################

$group = [ADSI]"LDAP://cn=UKPMs,ou=All Groups,dc=manticore,dc=org"
$root = [ADSI]"LDAP://ou=England,dc=manticore,dc=org"
$search = [System.DirectoryServices.DirectorySearcher]$root
$search.Filter = "(&(objectclass=user)(objectcategory=user))"
$result = $search.FindAll()

foreach ($user in $result)
{
  $group.Add("LDAP://" + $user.properties.distinguishedname)
  $group.SetInfo()
  $message = $user.properties.distinguishedname " added to group " $group.cn
  Write-Host $message
}