﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.7s
## Creating a single user
## using a secure password
#################################
$first = "Joshua" 
$last = "TETLEY"
$userid = "jtetl"

$strusr = $last + " " + $first
## create a password
$password = Read-Host "Password" -AsSecureString
$cred = New-Object -TypeName System.Management.Automation.PSCredential -ArgumentList "userid", $password
$secpass = $cred.GetNetworkCredential().Password

$ou = [ADSI]"LDAP://OU=England,dc=manticore,dc=org"
$newuser = $ou.Create("User", "CN=$strusr")
$newuser.SetInfo()
$newuser.samaccountname = $userid
$newuser.givenName =  $first
$newuser.sn = $last
$newuser.displayName = $strusr
$newuser.userPrincipalName = $userid + "@manticore.org"
$newuser.SetInfo()

$newuser.Invoke("SetPassword", $secpass)

$newuser.userAccountControl = 512
$newuser.SetInfo()

$newuser.pwdLastSet = 0
$newuser.SetInfo()