﻿## PowerShell in Practice
## by Richard Siddaway
## Listing 5.9
## Creating users in bulk
#################################
Import-csv pms.csv | foreach { 
   create user name
	$strusr = $_.Last.ToUpper() + " " + $_.First

	$ou = [ADSI]"LDAP://OU=England,dc=manticore,dc=org"
	$newuser = $ou.Create("user","cn=$strusr")
	$newuser.SetInfo()
	
	$newuser.samaccountname = $_.userid
	$newuser.givenName =  $_.first
	$newuser.sn = $_.last
	$newuser.displayName = $strusr
	$newuser.userPrincipalName = $_.userid + "@manticore.org"
	$newuser.SetInfo()

	$newuser.Invoke("SetPassword", "Password1")

	$newuser.userAccountControl = 512
	$newuser.SetInfo()

	$newuser.pwdLastSet = 0
	$newuser.SetInfo()

	Write-Host "Created Account for: "  $newuser.Displayname
}  
